package a3test.motion;

import jp.sourceforge.acerola3d.a3.*;
import javax.media.j3d.*;

public class MarionetteTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///axis.a3");
        Marionette m = new Marionette();
        m.setRootBone("Bone");
        Transform3D t = new Transform3D();
        m.setTransform3D("Bone",t);
        a3.setMotion("halt",m);
        w.add(a3);
        a3.change("halt");

        double tt=0.0;
        while (true) {
            try{Thread.sleep(100);}catch(Exception e){;}
            tt=tt+0.1;
            t.setScale(Math.sin(tt)+1.0);
            //m.setTransform3D("Bone",t);
        }
    }
}

